package com.yc.ship.module.trade.service.thirdsystem;


import com.yc.ship.module.trade.service.thirdsystem.bo.ThidrGateSystemVisitorBO;
import org.springframework.scheduling.annotation.Async;

import java.util.Date;

/***
 * @author liuyanjunhao
 * @date 2025/11/26 15:16
 * @description 第三方门禁系统接口
 */
public interface ThirdGateSystemService {


    void pushVisitor(Long orderId);

    void batchPushVisitor(Long orderId, Date useDate);

    @Async
    void insertCertAsync(ThidrGateSystemVisitorBO visitorBO);

    void insertCert(ThidrGateSystemVisitorBO visitorBO);

    void cancelCertAsync(Long refundId);

    void cancelCert(Long visitorId);
}
